__gnu_cxx::limit_condition Struct Reference

`#include <throw_allocator.h>`

Inheritance diagram for __gnu_cxx::limit_condition:
[legend]

## Classes

struct | always_adjustor
struct | limit_adjustor
struct | never_adjustor

## Static Public Member Functions

static size_t & | count ()
static size_t & | limit ()
static void | set_limit (const size_t __l)
static void | throw_conditionally ()

## Detailed Description

Base class for incremental control and throw.

Definition at line 428 of file throw_allocator.h.

## Member Function Documentation

## count()

static size_t & __gnu_cxx::limit_condition::count | ( |  | ) |

inline static

Definition at line 474 of file throw_allocator.h.

## limit()

static size_t & __gnu_cxx::limit_condition::limit | ( |  | ) |

inline static

Definition at line 481 of file throw_allocator.h.

## set_limit()

static void __gnu_cxx::limit_condition::set_limit | ( | const size_t | __l | ) |

inline static

Definition at line 489 of file throw_allocator.h.

## throw_conditionally()

static void __gnu_cxx::limit_condition::throw_conditionally | ( |  | ) |

inline static

Definition at line 466 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h